reSIDfp::Dac Class Reference

`#include <Dac.h>`

## Static Public Member Functions

static void | kinkedDac (double *dac, int dacLength, double _2R_div_R, bool term)

## Detailed Description

Estimate DAC nonlinearity. The SID contains R-2R ladder, and some likely errors in the resistor lengths which result in errors depending on the bits chosen.

This model was derived by Dag Lem, and is port of the upcoming reSID version. In average, it shows a value higher than the target by a value that depends on the _2R_div_R parameter. It differs from the version written by Antti Lankila chiefly in the emulation of the lacking termination of the 2R ladder, which destroys the output with respect to the low bits of the DAC.

## Member Function Documentation

void reSIDfp::Dac::kinkedDac | ( | double * | dac,
|  | int | dacLength,
|  | double | _2R_div_R,
|  | bool | term
| ) |  |

static

Parameters

  dac | an array to be filled with the resulting analog values
  dacLength | the dac array length
  _2R_div_R | nonlinearity parameter, 1.0 for perfect linearity.
  term | is the dac terminated by a 2R resistor? (6581 DACs are not)

The documentation for this class was generated from the following files:

- Dac.h
- Dac.cpp